#!/bin/bash
# Instalation script for modern-CentOS moinmoin theme.

# Define here the name of your wiki instance.
WIKIINSTANCE=mywiki

# Define here the path where your wiki instance live
WIKIINSTANCEPATH=/var/www/


# Copy files

cp -vr modern-CentOS/ ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/
cp -v modern-CentOS.py ${WIKIINSTANCEPATH}${WIKIINSTANCE}/data/plugin/theme/
cp -v modern-CentOS-logo.png ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/common/

# Adjust permissions

chown -vR apache.apache ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/modern-CentOS/
chown -vR apache.apache ${WIKIINSTANCEPATH}${WIKIINSTANCE}/data/plugin/theme/modern-CentOS.py
chown -vR apache.apache ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/common/modern-CentOS-logo.png
chmod -vR 750 ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/modern-CentOS/
chmod -vR 750 ${WIKIINSTANCEPATH}${WIKIINSTANCE}/data/plugin/theme/modern-CentOS.py
chmod -vR 750 ${WIKIINSTANCEPATH}${WIKIINSTANCE}/htdocs/common/modern-CentOS-logo.png

# Done

echo ''
echo '*** The modern-CentOS moinmoin theme is now installed! ***';
echo ''
echo 'Before you start be sure that the following lines are in your wikiconfig.py file:';
echo "   sitename = u'CentOS Wiki'";
echo "   logo_string = u'<img src="/wiki/common/modern-CentOS-logo.png" alt="CentOS">'"
echo "   theme_default = 'modern-CentOS'";
